/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _CommonUseItem;
        public static UIKey CommonUseItem => _CommonUseItem ?? (_CommonUseItem = new UIKey("Common", "UseItem", typeof(CommonUseItemView)));
    }
    public partial class CommonUseItemView : UIView
    {
        public static UILayer Layer => UILayer.Popup;
        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new CommonUseItemCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new CommonUseItemVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

